require_relative File.join "..", "lib", "rsvgr.rb"
include RSVGR

world = {
    "4000 до н.э." => 7,
    "1000 до н.э." => 50,
    "500 до н.э." => 100,
    1 => 300,
    1000 => 400,
    1800 => 1000,
    1900 => 1650,
    1990 => 5264,
}
asia = {
    "10000 до н.э." => 1,
    "4000 до н.э." => 4,
    "1000 до н.э." => 34,
    1000 => 270,
    1900 => 962,
    1990 => 3216,
}
ticks_x = (world.keys + asia.keys).sort_by{ |date| date.is_a?(String) ? [0, -date.to_i] : [1, date] }.uniq

svg = Root.new << plot = Samples::Plot.new(ticks_x:ticks_x)
plot.add_line(title: "население Земли", data_pairs: world)\
    .add_line(title: "население Азии", data_pairs: asia)

svg.cat.save#.open_with "Chromium"
